<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 26/06/2011 *
 * ===================                          Last change: 26/06/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_coupon.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Configuration for extension coupon               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Konfiguration der Gutschein-Erweiterung          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	// Replace German comma with computer's version
	convertCommaToDotInPostData('coupon_default_points');

	// Save data
	adminSaveSettingsFromPostData();
} else {
	// Add userid selection
	$content['coupon_userid'] = addMemberSelectionBox(getConfig('coupon_userid'), false, true, true, 'coupon_userid');

	// Init all other template entries
	foreach (array('payment_method_ref', 'payment_method_direct', 'points_account_order', 'points_account_general', 'locked_points_mode_locked', 'locked_points_mode_unlocked') as $entry) {
		$content['coupon_' . $entry] = '';
	} // END - foreach

	// Set current selections
	foreach (array('payment_method', 'points_account', 'locked_points_mode') as $entry) {
		$content['coupon_' . $entry . '_' . strtolower(getConfig('coupon_' . $entry))] = ' checked="checked"';
	} // END - foreach

	// Prepare some template data
	$content['coupon_default_time_selection']   = createConfigurationTimeSelections('coupon_default_time'  , 'WDh');
	$content['coupon_autopurge_time_selection'] = createConfigurationTimeSelections('coupon_autopurge_time', 'WDh');

	// Load template
	loadTemplate('admin_config_coupon', false, $content);
}

// [EOF]
?>
