<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/07/2004 *
 * ===================                          Last change: 10/14/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_transfer.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Point transfers                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Punktetransfers                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// We only need outgoing transfers
$result = SQL_QUERY('SELECT
	`userid` AS `from_userid`, `to_userid`, `trans_id`, `points`, `reason`, `time_trans`
FROM
	`{?_MYSQL_PREFIX?}_user_transfers_out`
ORDER BY
	`trans_id` ASC', __FILE__, __LINE__);

$total = '0';
if (!SQL_HASZERONUMS($result)) {
	// Output rows
	$OUT = '';
	while ($content = SQL_FETCHARRAY($result)) {
		// Prepare data for the row template
		$content['time_trans']  = generateDateTime($content['time_trans'], 3);
		$content['reason']      = wordwrap($content['reason'], 15);

		// Load row template add points and switch color
		$OUT .= loadTemplate('admin_list_transfer_row', true, $content);
		$total += $content['points'];
	} // END - while

	// Free memory
	SQL_FREERESULT($result);
} else {
	// Nothing for in and out
	$OUT = '<tr>
  <td colspan="6" align="center" class="bottom">
    ' . displayMessage('{--TRANSFER_NO_INOUT_TRANSFERS--}', true) . '
  </td>
</tr>';
}

// ... and add them to a constant for the template
$content['rows'] = $OUT;

// Remeber total amount
$content['total_points'] = $total;

// Set title
$content['title'] = '{--TRANSFER_LIST_ALL--}';

// Set "balance" word
$content['balance'] = '{--TRANSFER_TOTAL_BALANCE--}';

// Don't show a delete button
$content['delete'] = '&nbsp;';

// Load final template
loadTemplate('admin_list_transfer', false, $content);

// [EOF]
?>
